ListClientCredentials

GET/platform/clientauth/v1/credentials

Query Parameters

org_id?org_id

The org_id query parameter.

pagination.limit?limit

Maximum number of items to return.

Formatint32
Range1 <= value <= 100
Default"25"
pagination.offset?offset

Number of items to skip before collecting the result set.

Formatint32
Default"0"

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/clientauth.v1.ListClientCredentialsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "credentials": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/clientauth.v1.ClientCredential",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "Z9Y8X7W6V5"
                ],
                "title": "id"
              },
              "name": {
                "type": "string",
                "examples": [
                  "Server credential"
                ],
                "title": "name",
                "maxLength": 64
              },
              "client_id": {
                "type": "string",
                "examples": [
                  "XyZ9aB8cD1"
                ],
                "title": "client_id"
              },
              "kid": {
                "type": "string",
                "title": "kid"
              },
              "alg": {
                "type": "string",
                "examples": [
                  "RS256"
                ],
                "title": "alg"
              },
              "status": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/clientauth.v1.ClientCredentialStatus",
                    "$ref-value": {
                      "type": "string",
                      "title": "ClientCredentialStatus",
                      "enum": [
                        "CLIENT_CREDENTIAL_STATUS_UNSPECIFIED",
                        "CLIENT_CREDENTIAL_STATUS_ACTIVE",
                        "CLIENT_CREDENTIAL_STATUS_REVOKED"
                      ]
                    }
                  }
                ],
                "examples": [
                  "CLIENT_CREDENTIAL_STATUS_ACTIVE"
                ],
                "title": "status"
              },
              "created_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "examples": [
                  "2026-01-15T10:30:00Z"
                ],
                "title": "created_at"
              },
              "last_used_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "examples": [
                  "2026-01-15T10:30:00Z"
                ],
                "title": "last_used_at"
              }
            },
            "title": "ClientCredential",
            "additionalProperties": false
          }
        },
        "title": "credentials"
      },
      "total": {
        "type": "string",
        "title": "total",
        "format": "int64"
      }
    },
    "title": "ListClientCredentialsResponse",
    "additionalProperties": false
  }
}
curl -X GET "https://api.rixl.com/platform/clientauth/v1/credentials"

Success

application/json

{
  "$ref": "#/components/schemas/clientauth.v1.ListClientCredentialsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "credentials": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/clientauth.v1.ClientCredential",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "Z9Y8X7W6V5"
                ],
                "title": "id"
              },
              "name": {
                "type": "string",
                "examples": [
                  "Server credential"
                ],
                "title": "name",
                "maxLength": 64
              },
              "client_id": {
                "type": "string",
                "examples": [
                  "XyZ9aB8cD1"
                ],
                "title": "client_id"
              },
              "kid": {
                "type": "string",
                "title": "kid"
              },
              "alg": {
                "type": "string",
                "examples": [
                  "RS256"
                ],
                "title": "alg"
              },
              "status": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/clientauth.v1.ClientCredentialStatus",
                    "$ref-value": {
                      "type": "string",
                      "title": "ClientCredentialStatus",
                      "enum": [
                        "CLIENT_CREDENTIAL_STATUS_UNSPECIFIED",
                        "CLIENT_CREDENTIAL_STATUS_ACTIVE",
                        "CLIENT_CREDENTIAL_STATUS_REVOKED"
                      ]
                    }
                  }
                ],
                "examples": [
                  "CLIENT_CREDENTIAL_STATUS_ACTIVE"
                ],
                "title": "status"
              },
              "created_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "examples": [
                  "2026-01-15T10:30:00Z"
                ],
                "title": "created_at"
              },
              "last_used_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "examples": [
                  "2026-01-15T10:30:00Z"
                ],
                "title": "last_used_at"
              }
            },
            "title": "ClientCredential",
            "additionalProperties": false
          }
        },
        "title": "credentials"
      },
      "total": {
        "type": "string",
        "title": "total",
        "format": "int64"
      }
    },
    "title": "ListClientCredentialsResponse",
    "additionalProperties": false
  }
}